#!/bin/sh
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: © 2023 Antoine Le Gonidec <vv221@dotslashplay.it>
set -o errexit

###
# Bad End Theater
# send your bug reports to contact@dotslashplay.it
###

script_version=20240906.1

PLAYIT_COMPATIBILITY_LEVEL='2.30'

GAME_ID='bad-end-theater'
GAME_NAME='Bad End Theater'

ARCHIVE_BASE_0_NAME='bad_end_theater_1_6_0_62289.sh'
ARCHIVE_BASE_0_MD5='27a1f2aa68d562e2ef55d67c5405d43f'
ARCHIVE_BASE_0_SIZE='182527'
ARCHIVE_BASE_0_VERSION='1.6.0-gog62289'
ARCHIVE_BASE_0_URL='https://www.gog.com/game/bad_end_theater'

CONTENT_PATH_DEFAULT='data/noarch/game/game'
CONTENT_GAME_MAIN_FILES='
cache
tl
archive.rpa
script_version.txt'

APP_MAIN_TYPE='renpy'
APP_MAIN_ICON='../../support/icon.png'

# Load common functions

PLAYIT_LIB_PATHS="
$PWD
${XDG_DATA_HOME:="${HOME}/.local/share"}/play.it
/usr/local/share/games/play.it
/usr/local/share/play.it
/usr/share/games/play.it
/usr/share/play.it"

if [ -z "$PLAYIT_LIB2" ]; then
	for playit_lib_path in $PLAYIT_LIB_PATHS; do
		if [ -e "${playit_lib_path}/libplayit2.sh" ]; then
			PLAYIT_LIB2="${playit_lib_path}/libplayit2.sh"
			break
		fi
	done
fi
if [ -z "$PLAYIT_LIB2" ]; then
	printf '\n\033[1;31mError:\033[0m\n'
	printf 'libplayit2.sh not found.\n'
	exit 1
fi
# shellcheck source=libplayit2.sh
. "$PLAYIT_LIB2"

# Extract game data

archive_extraction_default

# Include game data

content_inclusion_icons
content_inclusion_default

# Write launchers

launchers_generation

# Build packages

packages_generation
print_instructions

# Clean up

rm --recursive "$PLAYIT_WORKDIR"

exit 0
